Bug 514295 - Timeout-controlled actions (suspend and display off) are not triggered
Timeout-controlled actions (suspend and display off) are not triggered
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-28 14:21 EDT by Julian Sikorski
Modified: 2009-11-05 10:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 10:19:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
the gconf settings (2.31 KB, text/plain)
2009-07-28 14:21 EDT, Julian Sikorski
no flags Details

  None (edit)
Description Julian Sikorski 2009-07-28 14:21:51 EDT
Created attachment 355452 [details]
the gconf settings

Description of problem:
Ever since I upgraded to Fedora 11, neither the display sleep nor the suspend are getting triggered if the PC is left idle. Suspend works if the lid is closed, on the other hand. The screen saver starts properly. gnome-power-manager --no-daemon --verbose shows nothing whatsoever. The gconf settings are attached just in case.

Version-Release number of selected component (if applicable):
DeviceKit-power-009-1.fc11.x86_64
gnome-power-manager-2.26.3-1.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. Upgrade to Fedora 11
2. Set the pc to go to suspend/disable the LCD upon being left idle
3. Wait
  
Actual results:
Screensaver kicks in, but nothing else.

Expected results:
Screensaver is followed by LCD turned off and finally PC suspended.

Additional info:
This might be unrelated, but the display occasionally switches off even if the laptop is not idle, but there is nothing left in the logs.
Comment 1 Michal Jaegermann 2009-08-03 15:32:48 EDT
That looks like what is described in bug 508886.  With a screensaver going (does not matter if gnome-screensaver, or xscreensaver or both) a screen is never turned off like expected; except of those unwanted moments covered by bug 501601.

With screensavers off does your timed suspends trigger?
Comment 2 Julian Sikorski 2009-08-03 16:13:26 EDT
Nope. Even with screensaver off, neither LCD off nor suspend engages properly.
Comment 3 Julian Sikorski 2009-08-14 11:33:24 EDT
I have just discovered that this issue is most likely caused by the binary nvidia driver - I moved to nouveau to test and the display got blanked correctly. I'll check suspend asap.
Comment 4 Richard Hughes 2009-08-20 08:13:56 EDT
Does installing the latest gnome-power-manager in updates-testing (and then rebooting...) fix the problem?
Comment 5 Rick Richardson 2009-08-20 13:59:31 EDT
gnome-power-manager.i586  2.26.4-3.fc11 installed

Same thing.  Does not work.  Dell with Intel graphics chip.

Screensaver Preferences -> Regard the computer as idle after -> 5 minutes

Power Management Preferences -> Put display to sleep when inactive for -> 15
minutes

Screensaver kicks in at 5 minutes.  But, after 15 minutes, it is still going
instead of putting the display to sleep.  Left it for a hour - still running.

This used to work on FC10 and before.
Comment 6 Julian Sikorski 2009-08-21 14:23:21 EDT
Hmm, I updated to xorg-x11-server-1.6.3-4.fc11.x86_64 (from testing) and gnome-power-manager-2.26.4-1.fc11.x86_64 (from stable). I also moved back to nvidia binary driver since I missed the suspend, hibernate and performance too much. Oddly enough, both dpms off and time-based suspend work now. Could bug #501601 be related?
Comment 7 Julian Sikorski 2009-08-22 10:00:42 EDT
I installed gnome-power-manager-2.26.4-3.fc11.x86_64 from testing and both DPMS off and suspend still work.
Comment 8 Michal Jaegermann 2009-08-22 23:03:43 EDT
It appears that with xorg-x11-server-1.6.3-4.fc11 and gnome-power-manager-2.26.4-3.fc11 from updates-testing at least a presensce of one or another screensaver does not prevent a screen from blanking.  Still a screen went blank on me a number of times in random moments when a machine was definitely not idle.

OTOH an update to gnome-power-manager-2.26.4-1.fc11, and possibly DeviceKit-power-010-0.3.20090810git.fc11, from the current updates made things definitely worse.  A screen could get blanked or not, while idle, in a manner I was not able to predict.  Not like "the first time after gnome-power-manager was restarted".   I tried that before looking at packages from updates-testing.
Comment 9 Michal Jaegermann 2009-09-18 13:44:10 EDT
It appears that with all current updates the original issue indeed went away. OTOH a random screen blanking without any visible rhyme-or-reason went from "surely distracting" to "extremely annoying".  Such black screens could happen every few minutes.

Where this last issue is tracked?  I failed to find a specific bugzilla entry.
Comment 10 Julian Sikorski 2009-11-05 10:19:57 EST
That was tracked in bug #501601.

Note You need to log in before you can comment on or make changes to this bug.